Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.dom
Class DOMObjectModel

    java.lang.Object
      net.sf.saxon.dom.DOMObjectModel

All Implemented Interfaces:
  ExternalObjectModel

public class DOMObjectModel
extends java.lang.Object
implements ExternalObjectModel

This interface must be implemented by any third-party object model that can be wrapped with a wrapper that implements the Saxon Object Model (the NodeInfo interface). This implementation of the interface supports wrapping of DOM Documents.

Constructor Summary
`DOMObjectModel()`

Method Summary
`Value` | `convertObjectToXPathValue(java.lang.Object object, Configuration config)` Convert a Java object to an XPath value.
`java.lang.Object` | `convertXPathValueToObject(Value value, java.lang.Class target, XPathContext context)` Convert an XPath value to an object in this object model.
`Receiver` | `getDocumentBuilder(javax.xml.transform.Result result)` Test whether this object model recognizes a particular kind of JAXP Result object, and if it does, return a Receiver that builds an instance of this data model from a sequence of events.
`boolean` | `isRecognizedNode(java.lang.Object object)` Test whether this object model recognizes a given node as one of its own
`boolean` | `sendSource(javax.xml.transform.Source source, Receiver receiver, PipelineConfiguration pipe)` Test whether this object model recognizes a particular kind of JAXP Source object, and if it does, send the contents of the document to a supplied Receiver, and return true.
`NodeInfo` | `unravel(javax.xml.transform.Source source, Configuration config)` Wrap or unwrap a node using this object model to return the corresponding Saxon node.
`DocumentInfo` | `wrapDocument(java.lang.Object node, java.lang.String baseURI, Configuration config)` Wrap a document node in the external object model in a document wrapper that implements the Saxon DocumentInfo interface.
`VirtualNode` | `wrapNode(DocumentInfo document, java.lang.Object node)` Wrap a node within the external object model in a node wrapper that implements the Saxon VirtualNode interface (which is an extension of NodeInfo)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMObjectModel

    public DOMObjectModel()

Method Detail

### isRecognizedNode

    public boolean isRecognizedNode(java.lang.Object object)

  Test whether this object model recognizes a given node as one of its own

  Specified by:
    `isRecognizedNode` in interface `ExternalObjectModel`
  Returns:
    true if the object is a representation of a node in this object model

### getDocumentBuilder

    public Receiver getDocumentBuilder(javax.xml.transform.Result result)
                                throws XPathException

  Test whether this object model recognizes a particular kind of JAXP Result object, and if it does, return a Receiver that builds an instance of this data model from a sequence of events. If the Result is not recognised, return null.

  Specified by:
    `getDocumentBuilder` in interface `ExternalObjectModel`
  Throws:
    `XPathException`

### sendSource

    public boolean sendSource(javax.xml.transform.Source source,
                              Receiver receiver,
                              PipelineConfiguration pipe)
                       throws XPathException

  Test whether this object model recognizes a particular kind of JAXP Source object, and if it does, send the contents of the document to a supplied Receiver, and return true. Otherwise, return false

  Specified by:
    `sendSource` in interface `ExternalObjectModel`
  Throws:
    `XPathException`

### unravel

    public NodeInfo unravel(javax.xml.transform.Source source,
                            Configuration config)

  Wrap or unwrap a node using this object model to return the corresponding Saxon node. If the supplied source does not belong to this object model, return null

  Specified by:
    `unravel` in interface `ExternalObjectModel`

### convertObjectToXPathValue

    public Value convertObjectToXPathValue(java.lang.Object object,
                                           Configuration config)
                                    throws XPathException

  Convert a Java object to an XPath value. If the supplied object is recognized as a representation of a value using this object model, the object model should convert the value to an XPath value and return this as the result. If not, it should return null. If the object is recognized but cannot be converted, an exception should be thrown

  Specified by:
    `convertObjectToXPathValue` in interface `ExternalObjectModel`
  Throws:
    `XPathException`

### convertXPathValueToObject

    public java.lang.Object convertXPathValueToObject(Value value,
                                                      java.lang.Class target,
                                                      XPathContext context)
                                               throws XPathException

  Convert an XPath value to an object in this object model. If the supplied value can be converted to an object in this model, of the specified class, then the conversion should be done and the resulting object returned. If the value cannot be converted, the method should return null. Note that the supplied class might be a List, in which case the method should inspect the contents of the Value to see whether they belong to this object model.

  Specified by:
    `convertXPathValueToObject` in interface `ExternalObjectModel`
  Throws:
    `XPathException` - if the target class is explicitly associated with this object model, but the supplied value cannot be converted to the appropriate class

### wrapDocument

    public DocumentInfo wrapDocument(java.lang.Object node,
                                     java.lang.String baseURI,
                                     Configuration config)

  Wrap a document node in the external object model in a document wrapper that implements the Saxon DocumentInfo interface. (However, if the supplied object is a wrapper for a Saxon NodeInfo object, then we unwrap it.

  Specified by:
    `wrapDocument` in interface `ExternalObjectModel`
  Parameters:
    `node` - a node (any node) in the third party document
    `baseURI` - the base URI of the node (supply "" if unknown)
    `config` - the Saxon configuration (which among other things provides access to the NamePool)
  Returns:
    the wrapper, which must implement DocumentInfo

### wrapNode

    public VirtualNode wrapNode(DocumentInfo document,
                                java.lang.Object node)

  Wrap a node within the external object model in a node wrapper that implements the Saxon VirtualNode interface (which is an extension of NodeInfo)

  Specified by:
    `wrapNode` in interface `ExternalObjectModel`
  Parameters:
    `document` - the document wrapper, as a DocumentInfo object
    `node` - the node to be wrapped. This must be a node within the document wrapped by the DocumentInfo provided in the first argument
  Returns:
    the wrapper for the node, as an instance of VirtualNode

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD